Subject: Re: [ippm] Comments on draft-fioccola-rfc8321bis-01

From: Giuseppe Fioccola <[email-masked]>
Date: Mon, 3 Jan 2022 09:18:31 +0000

Hi Xiao,
Thanks a lot for your feedback.
In section 5 we already mentioned how to use one or two flag bits in different deployments. But we can also include a similar consideration for the Single-Marking Methodology in section 3.3.1. If two flag bits are available, Double-Marking Methodology is definitely a better choice. 

Regards,

Giuseppe

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Friday, December 24, 2021 3:45 AM
To: Giuseppe Fioccola <[email-masked]>; [email-masked]
Subject: Comments on draft-fioccola-rfc8321bis-01

Hi Giuseppe,

I noticed in the -01 revision you added that "The switching after a fixed number of packets is an additional possibility but its detailed specification is out of scope."
I like this change, it gives the clear practical direction on fixed-timer method, as well as reserving the possibility for someone to develop details based on fixed-number method.
I suggest to apply the similar description on Single-Marking Methodology defined in section 3.3.1. There are mainly three reasons, the first one is that Double-Marking Methodology defined in section 3.3.2 is already the practical direction, the second one is that IMHO one-bit saving of Single-Marking Methodology doesn't bring meaningful benefit, the third one is that Single-Marking Methodology may bring intrinsic error due to packet misordering, as added in section 3.3.1 of the -01 revision.

Happy Holidays to you and all IPPM folks!

Best Regards,
Xiao Min